> ## Documentation Index
> Fetch the complete documentation index at: https://productlasso.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Smazat produkt

> Měkké smazání produktu z katalogu

Měkce smaže produkt nastavením časového razítka `deleted_at`. Produkt se přestane zobrazovat ve výpisech a výsledcích vyhledávání, ale lze jej později obnovit.

<ParamField path="id" type="string" required>
  Jedinečné ID produktu (UUID).
</ParamField>

<ResponseField name="deleted" type="boolean">Vždy `true` při úspěchu.</ResponseField>
<ResponseField name="id" type="string">ID smazaného produktu.</ResponseField>

<RequestExample>
  ```typescript TypeScript theme={null}
  await lasso.catalog.delete('a1b2c3d4-...');
  ```

  ```python Python theme={null}
  client.catalog.delete("a1b2c3d4-...")
  ```

  ```bash cURL theme={null}
  curl -X DELETE "https://hub.banditshq.com/api/v1/catalog/a1b2c3d4-..." \
    -H "Authorization: Bearer lasso_..."
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "deleted": true,
    "id": "a1b2c3d4-..."
  }
  ```
</ResponseExample>
